Package jebl.evolution.sequences

# Class AminoAcidState

java.lang.Object
jebl.evolution.sequences.State
jebl.evolution.sequences.AminoAcidState

All Implemented Interfaces:
  `Comparable`

public final class AminoAcidState extends State

Version:
  $Id: AminoAcidState.java 986 2009-03-10 01:00:03Z matt_kearse $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(Object o)`
`String`
`getThreeLetterName()`
`SequenceType`
`getType()`
`boolean`
`isGap()`
`boolean`
`isStop()`

### Methods inherited from class jebl.evolution.sequences.State

`fractionEqual, getCanonicalStates, getCode, getFullName, getIndex, getName, isAmbiguous, possiblyEqual, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### compareTo

public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`
Overrides:
  `compareTo` in class `State`

### getThreeLetterName

public String getThreeLetterName()

Returns:
  the 3 letter name for this amino acid. E.g "Ala" for "Alanine".

### isGap

public boolean isGap()

Specified by:
  `isGap` in class `State`

### isStop

public boolean isStop()

### getType

public SequenceType getType()

Specified by:
  `getType` in class `State`